InfoGrab Docs

그룹 수준 보호된 브랜치 API

그룹 수준 보호된 브랜치 API에 대해 설명합니다.

히스토리 GitLab 17.6에서 일반 공개 되었습니다. 기능 플래그 group_protected_branches 가 제거되었습니다. 이 API를 사용하여 그룹의 모든 프로젝트가 상속하는 보호된 브랜치 설정 을 관리합니다. 그룹 보호된 브랜치는 유효한 접근 수준 만 지원합니다. 개별 사용자와 그룹은 지정할 수 없습니다. Warning 그룹의 보호된 브랜치 설정은 최상위 그룹으로만 제한됩니다. 유효한 접근 수준 # 접근 수준은 ProtectedRefAccess.allowed_access_levels 메서드에 정의되어 있습니다. 다음 수준이 인식됩니다: 0 => 접근 없음 30 => Developer 접근 40 => Maintainer 접근 60 => Admin 접근 보호된 브랜치 목록 조회 # 그룹에서 보호된 브랜치 목록을 가져옵니다. 와일드카드가 설정된 경우 해당 와일드카드와 일치하는 브랜치의 정확한 이름 대신 와일드카드가 반환됩니다. GET /groups/:id/protected_branches 속성 유형 필수 설명 id 정수 또는 문자열 예 그룹의 ID 또는 URL 인코딩된 경로 . search 문자열 아니요 검색할 보호된 브랜치의 이름 또는 이름의 일부. curl --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/groups/5/protected_branches" 응답 예시: [ { "id" : 1 , "name" : "main" , "push_access_levels" : [ { "id" : 1 , "access_level" : 40 , "user_id" : null , "group_id" : null , "access_level_description" : "Maintainers" } ] , "merge_access_levels" : [ { "id" : 1 , "access_level" : 40 , "user_id" : null , "group_id" : null , "access_level_description" : "Maintainers" } ] , "allow_force_push" : false , "code_owner_approval_required" : false } , { "id" : 1 , "name" : "release/*" , "push_access_levels" : [ { "id" : 1 , "access_level" : 40 , "user_id" : null , "group_id" : null , "access_level_description" : "Maintainers" } ] , "merge_access_levels" : [ { "id" : 1 , "access_level" : 40 , "user_id" : null , "group_id" : null , "access_level_description" : "Maintainers" } ] , "allow_force_push" : false ,